## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.8.2
%bcond_without check
%global debug_package %{nil}

# https://github.com/spf13/cobra
%global goipath         github.com/spf13/cobra
Version:                1.6.1

%gometa

%global common_description %{expand:
Cobra is a library providing a simple interface to create powerful modern CLI
interfaces similar to git & go tools.

Cobra is also an application that will generate your application scaffolding to
rapidly develop a Cobra-based application.

Cobra provides:

 - Easy subcommand-based CLIs: app server, app fetch, etc.
 - Fully POSIX-compliant flags (including short & long versions)
 - Nested subcommands
 - Global, local and cascading flags
 - Easy generation of applications & commands with cobra init appname & cobra
   add cmdname
 - Intelligent suggestions (app srver... did you mean app server?)
 - Automatic help generation for commands and flags
 - Automatic help flag recognition of -h, --help, etc.
 - Automatically generated bash autocomplete for your application
 - Automatically generated man pages for your application
 - Command aliases so you can change things without breaking them
 - The flexibility to define your own help, usage, etc.
 - Optional tight integration with viper for 12-factor apps
}

%global golicenses      LICENSE.txt
%global godocs          doc powershell_completions.md bash_completions.md\\\
                        CONTRIBUTING.md CHANGELOG.md shell_completions.md\\\
                        projects_using_cobra.md fish_completions.md\\\
                        user_guide.md CONDUCT.md README.md zsh_completions.md

Name:           %{goname}
Release:        %autorelease
Summary:        A Commander for modern Go CLI interactions

License:        Apache-2.0
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Dec 24 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> 1.6.1-1
- Update to 1.6.1 - Closes rhbz#2133898

* Sun Sep 18 2022 Robert-André Mauchin <zebob.m@gmail.com> 1.5.0-2
- SPEC cleanup

* Fri Sep 02 2022 Maxwell G <gotmax@e.email> 1.5.0-1
- Update to 1.5.0. Fixes rhbz#2099959.

* Fri Sep 02 2022 Maxwell G <gotmax@e.email> 1.4.0-5
- Adopt new licensing guidelines

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 21 2022 Maxwell G <gotmax@e.email> 1.4.0-3
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629.

* Sat Apr 16 2022 Fabio Alessandro Locati <me@fale.io> 1.4.0-2
- Rebuilt for CVE-2022-27191

* Wed Mar 16 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> 1.4.0-1
- Update to 1.4.0 - Closes rhbz#2062987

* Thu Feb 03 2022 Maxwell G <gotmax@e.email> 1.3.0-1
- Update to 1.3.0. Fixes rhbz#2033014.

* Wed Feb 02 2022 Maxwell G <gotmax@e.email> 1.2.1-3
- Fix broken test and FTBFS (rhbz#2045615). Cleanup.

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Oct 02 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> 1.2.1-1
- Update to 1.2.1

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Jan  7 16:05:32 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.1.1-1
- Update to 1.1.1
- Close: rhbz#1888458

* Sun Aug 02 21:23:05 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.0-1
- Update to 1.0.0

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Feb 11 03:43:43 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.0.5-4.20200210git89c7ffb
- Fix go-md2man import path

* Mon Feb 10 02:31:42 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.0.5-3.20200210git89c7ffb
- Bump to commit 89c7ffb5129bebd58cd68878c13af2144a5791f3

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Aug 18 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.0.5-1
- Update to latest version

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Apr 25 17:03:23 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.0.3-3.20190623git67fc483
- Bump to commit 67fc4837d267bc9bfd6e47f77783fcc3dffc68de

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.3-2.gitfe5e611
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Oct 26 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.0.3-1.20181026git1e58aa3
- Bump to commit 1e58aa3361fd650121dceeedc399e7189c05674a

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 0.0.1-6.git7b2c5ac
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.1-5.git7b2c5ac
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon May 28 2018 Jan Chaloupka <jchaloup@redhat.com> - 0.0.1-4.git7b2c5ac
- Upload glide.lock and glide.yaml files

* Mon Mar 05 2018 Jan Chaloupka <jchaloup@redhat.com> - 0.0.1-3.git7b2c5ac
- Update to spec 3.0

* Fri Mar 02 2018 Jan Chaloupka <jchaloup@redhat.com> - 0.0.1-2
- Autogenerate some parts using the new macros

* Wed Feb 21 2018 Kaushal <kshlmster@gmail.com> - 0.0.1-1
- Update to upstream v0.0.1

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.22.git8e91712
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.21.git8e91712
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.20.git8e91712
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed May 10 2017 Jan Chaloupka <jchaloup@redhat.com> - 0-0.19.git8e91712
- Remove cyclic dependency
  related: #1214769

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.18.git8e91712
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.17.git8e91712
- https://fedoraproject.org/wiki/Changes/golang1.7

* Sun Mar 06 2016 jchaloup <jchaloup@redhat.com> - 0-0.16.git8e91712
- Bump to upstream 8e91712f174ced10270cf66615e0a9127e7c4de5
  related: #1214769

* Sat Mar 05 2016 jchaloup <jchaloup@redhat.com> - 0-0.15.git3120920
- Bump to upstream 312092086bed4968099259622145a0c9ae280064
  related: #1214769

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.14.git8f5946c
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.13.git8f5946c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Aug 24 2015 jchaloup <jchaloup@redhat.com> - 0-0.12.git8f5946c
- Remove [B]R in comments, they are deleted by the patch
  related: #1214769

* Wed Aug 12 2015 Fridolin Pokorny <fpokorny@redhat.com> - 0-0.11.git8f5946c
- Update spec file to spec-2.0
  related: #1214769

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.10.git8f5946c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun 02 2015 jchaloup <jchaloup@redhat.com> - 0-0.9.git8f5946c
- Bump to upstream 8f5946caaeeff40a98d67f60c25e89c3525038a3
  related: #1214769

* Thu Apr 23 2015 jchaloup <jchaloup@redhat.com> - 0-0.8.git3c187e9
- Bump to upstream 3c187e904540cd62f0a197cddd6da02645a7cc5a
  related: #1214769

* Tue Mar 31 2015 jchaloup <jchaloup@redhat.com> - 0-0.7.git79bd93d
- Bump to upstream 79bd93d369fb73d640179208d4e2b1a748915567
  related: #1085881

* Wed Feb 25 2015 jchaloup <jchaloup@redhat.com> - 0-0.6.gitf8e1ec5
- Bump to upstream f8e1ec56bdd7494d309c69681267859a6bfb7549
  related: #1085881

* Wed Dec 24 2014 jchaloup <jchaloup@redhat.com> - 0-0.5.gitb1e90a7
- Bump to e1e66f7b4e667751cf530ddb6e72b79d6eeb0235
  related: #1085881

* Thu Oct 16 2014 jchaloup <jchaloup@redhat.com> - 0-0.4.gite174a40
- Bump to b1e90a7943957b51bb96a13b44b844475bcf95c0

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.gite174a40
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Apr 04 2014 Lokesh Mandvekar <lsm5@redhat.com> 0-0.2.git
- correct tarball name

* Fri Apr 04 2014 Lokesh Mandvekar <lsm5@redhat.com> 0-0.1.git
- Initial package

